.skills-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 0.5rem;
  width: 100%;
  margin-top: 1.3rem;
}

.skill-card {
  width: 160px;
  height: 50px;
  background: var(--primary-color);
  border-radius: 20px;
  overflow: hidden;
  box-shadow: var(--shadow);
  transition: all 0.3s ease;
  border: 1px solid var(--text-secondary);
  display: block;

  display: flex;
  align-items: center;
  justify-content: center;

  user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -o-user-select: none;
}

.skill-text {
  padding: 1rem;
  text-align: center;
  font-size: 1.2rem;
  color: var(--text-primary);
}

.arrow-box {
  position: absolute;
  width: 50px;
  height: 70%;
  top: 15%;
  left: 100%;
}

.arrow-length {
  height: 100%;
  border-radius: 15px;
  border: 9px solid var(--accent-color);
  clip-path: rect(0% 100% 100% 26%);
}

.arrow-img {
  position: absolute;
  top: 0%;
  left: 0%;
  transform: scale(-0.5) translate(50%, 87%);
  overflow: visible;
}

@media (max-width: 800px) {
  .skills-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.6rem;
    width: 100%;
    margin-top: 1.3rem;
  }

  .skill-card {
    width: auto;
    height: auto;
  }

  .skill-text {
    font-size: 0.95rem;
    padding: 0.5rem 1rem;
  }

  .arrow-box {
    position: absolute;
    width: 30px;
    height: 70%;
    top: 15%;
    left: 97%;
  }

  .arrow-length {
    height: 100%;
    border-radius: 10px;
    border: 6px solid var(--accent-color);
    clip-path: rect(0% 100% 100% 26%);
  }
}
